#
# spec file for package raidtools (Version 1.00.3)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  opensp popt sgmltool
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils cracklib gcc gdbm gettext libtool opensp perl popt-devel rpm sgmltool

Name:         raidtools
Version:      1.00.3
Release:      229
Summary:      Software-raid utilities
License:      GPL
Group:        System/Filesystems
Provides:     mdutils raidtool
Obsoletes:    mdutils raidtool
PreReq:       %fillup_prereq %insserv_prereq
Autoreqprov:  on
URL:          http://people.redhat.com:80/mingo/raidtools
Source:       raidtools-%{version}.tar.bz2
Source1:      boot.md
# http://unthought.net/Software-RAID.HOWTO/
Source2:      Software-RAID.HOWTO.tar.bz2
Patch:        raidtools-%{version}.dif
Patch1:       raidautorun.dif
Patch2:       raidtools-%{version}-nomtab.dif
Patch3:       raidtools-%{version}-checkright.dif
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
This package is the md-utils successor.



Authors:
--------
    Gadi Oxman <gadio@netvision.net.il>
    Ingo Molnar <mingo@kernel.org>
    Miguel de Icaza <miguel@nuclecu.unam.mx>
    Erik Troan <ewt@redhat.com>

%prep
%setup -q -a 2
%patch
%patch1
%patch2
%patch3

%build
autoconf
./configure --mandir=%{_mandir}
make

%install
make install ROOTDIR=$RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/init.d
install -d $RPM_BUILD_ROOT/usr/sbin
install -m 744 raidconvert.sh $RPM_BUILD_ROOT/usr/sbin
cd Software-RAID.HOWTO
sgml2html Software-RAID.HOWTO.sgml
install -m 744 %{SOURCE1} $RPM_BUILD_ROOT/etc/init.d

%post
%{fillup_and_insserv -pY boot.md}

%postun
%{insserv_cleanup}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config /etc/init.d/boot.md
/sbin/*
/usr/sbin/raidconvert.sh
%doc COPYING README *.sample raidreconf-HOWTO
%doc Software-RAID.HOWTO/Software-RAID.HOWTO.txt
%doc Software-RAID.HOWTO/Software-RAID.HOWTO*.html
%doc %{_mandir}/man5/*.5.gz
%doc %{_mandir}/man8/*.8.gz

%changelog -n raidtools
* Wed Jun 02 2004 - ro@suse.de
- mkraid: check correct device for being active (#41516)
* Fri Sep 12 2003 - ro@suse.de
- fix crash of mkraid if /etc/mtab does not exist (#30654)
* Mon Aug 18 2003 - garloff@suse.de
- (#29083) Add # X-UnitedLinux-Should-Start: boot.scsidev
* Tue May 13 2003 - ro@suse.de
- use defattr
* Thu Jan 23 2003 - ro@suse.de
- fixed multiline-string in source
* Wed Jan 22 2003 - ro@suse.de
- up to 1.00.3 (allows up to 27 disks in a set)
- use buildroot
* Wed Nov 20 2002 - ro@suse.de
- updated HowTo (#21133)
* Mon Nov 11 2002 - ro@suse.de
- changed neededforbuild <sp> to <opensp>
- changed neededforbuild <sp-devel> to <>
* Mon Sep 30 2002 - lmb@suse.de
- Fix for 64bit arch; ioctl returns long instead of int (#20339)
* Thu Aug 01 2002 - ro@suse.de
- cleaned neededforbuild
- added prereqs
* Mon Jul 15 2002 - fehr@suse.de
- move boot.ibmsis fro Required-Start to X-SuSE-Should-Start it does
  not exist on all platforms
* Thu Apr 18 2002 - ro@suse.de
- don't hardcode libdir when looking for static popt library
* Mon Mar 04 2002 - fehr@suse.de
- add binary /sbin/raidautorun
* Thu Feb 21 2002 - ro@suse.de
- link popt statically (#13736)
* Fri Feb 15 2002 - ro@suse.de
- use "Y" as arg to fillup_and_insserv to force activation
  of bootscript
* Wed Feb 06 2002 - ro@suse.de
- fixed syntax error in boot.md
* Fri Feb 01 2002 - ro@suse.de
- added stop/status to boot.md script
* Mon Dec 10 2001 - ro@suse.de
- moved boot.md from aaa_base to this package
* Tue Oct 16 2001 - ro@suse.de
- update to 20010914 for multipath support
- raidsetfaulty changed name to raidhotgenerateerror
* Tue Aug 28 2001 - ro@suse.de
- added missing symlink raidsetfaulty (#9914)
- bzipped source
* Mon Aug 13 2001 - ro@suse.de
- changed neededforbuild <sp_libs> to <sp-devel>
* Tue Apr 10 2001 - ro@suse.de
- regenerate howto from sgml source (#6937)
* Tue Mar 13 2001 - schwab@suse.de
- Use getpagesize() instead of PAGE_SHIFT and PAGE_SIZE.
* Wed Dec 06 2000 - schwab@suse.de
- Fix to build on ia64.
* Tue Dec 05 2000 - ro@suse.de
- renamed to raidtools
* Tue Dec 05 2000 - ro@suse.de
- added provides and obsoletes for mdutils
* Mon Sep 25 2000 - ro@suse.de
- sorted
* Thu Feb 24 2000 - ro@suse.de
- man to /usr/share using macro
* Fri Oct 01 1999 - ro@suse.de
- updated to 19990824
- added raidconvert.sh to convert old mdtab to raidtab file
* Wed Aug 18 1999 - ro@suse.de
- updated to 0.90
- will need changes in boot/halt/reboot scripts if to replace mdutils
